BurnchainApi - interface

export
interface

  BurnchainApiInterface

### Hierarchy

- BurnchainApiInterface

### Implemented by

- BurnchainApi

## Index

### Methods

- getBurnchainRewardList
- getBurnchainRewardListByAddress
- getBurnchainRewardListByAddressRaw
- getBurnchainRewardListRaw
- getBurnchainRewardSlotHolders
- getBurnchainRewardSlotHoldersByAddress
- getBurnchainRewardSlotHoldersByAddressRaw
- getBurnchainRewardSlotHoldersRaw
- getBurnchainRewardsTotalByAddress
- getBurnchainRewardsTotalByAddressRaw

## Methods

### getBurnchainRewardList

- getBurnchainRewardList(requestParameters: GetBurnchainRewardListRequest, initOverrides?: RequestInit): Promise< BurnchainRewardListResponse >

- - Defined in src/generated/apis/BurnchainApi.ts:77

  Get a list of recent burnchain (e.g. Bitcoin) reward recipients with the associated amounts and block info Get recent burnchain reward recipients

  #### Parameters

  - ##### requestParameters: GetBurnchainRewardListRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< BurnchainRewardListResponse >

### getBurnchainRewardListByAddress

- getBurnchainRewardListByAddress(requestParameters: GetBurnchainRewardListByAddressRequest, initOverrides?: RequestInit): Promise< BurnchainRewardListResponse >

- - Defined in src/generated/apis/BurnchainApi.ts:95

  Get a list of recent burnchain (e.g. Bitcoin) rewards for the given recipient with the associated amounts and block info Get recent burnchain reward for the given recipient

  #### Parameters

  - ##### requestParameters: GetBurnchainRewardListByAddressRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< BurnchainRewardListResponse >

### getBurnchainRewardListByAddressRaw

- getBurnchainRewardListByAddressRaw(requestParameters: GetBurnchainRewardListByAddressRequest, initOverrides?: RequestInit): Promise< ApiResponse < BurnchainRewardListResponse >>

- - Defined in src/generated/apis/BurnchainApi.ts:89

  Get a list of recent burnchain (e.g. Bitcoin) rewards for the given recipient with the associated amounts and block info

  summary

    Get recent burnchain reward for the given recipient

  throws

    {RequiredError}

  memberof

    BurnchainApiInterface

  #### Parameters

  - ##### requestParameters: GetBurnchainRewardListByAddressRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< ApiResponse < BurnchainRewardListResponse >>

### getBurnchainRewardListRaw

- getBurnchainRewardListRaw(requestParameters: GetBurnchainRewardListRequest, initOverrides?: RequestInit): Promise< ApiResponse < BurnchainRewardListResponse >>

- - Defined in src/generated/apis/BurnchainApi.ts:71

  Get a list of recent burnchain (e.g. Bitcoin) reward recipients with the associated amounts and block info

  summary

    Get recent burnchain reward recipients

  throws

    {RequiredError}

  memberof

    BurnchainApiInterface

  #### Parameters

  - ##### requestParameters: GetBurnchainRewardListRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< ApiResponse < BurnchainRewardListResponse >>

### getBurnchainRewardSlotHolders

- getBurnchainRewardSlotHolders(requestParameters: GetBurnchainRewardSlotHoldersRequest, initOverrides?: RequestInit): Promise< BurnchainRewardSlotHolderListResponse >

- - Defined in src/generated/apis/BurnchainApi.ts:112

  Array of the Bitcoin addresses that would validly receive PoX commitments. Get recent reward slot holders

  #### Parameters

  - ##### requestParameters: GetBurnchainRewardSlotHoldersRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< BurnchainRewardSlotHolderListResponse >

### getBurnchainRewardSlotHoldersByAddress

- getBurnchainRewardSlotHoldersByAddress(requestParameters: GetBurnchainRewardSlotHoldersByAddressRequest, initOverrides?: RequestInit): Promise< BurnchainRewardSlotHolderListResponse >

- - Defined in src/generated/apis/BurnchainApi.ts:130

  Array of the Bitcoin addresses that would validly receive PoX commitments. Get recent reward slot holder entries for the given address

  #### Parameters

  - ##### requestParameters: GetBurnchainRewardSlotHoldersByAddressRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< BurnchainRewardSlotHolderListResponse >

### getBurnchainRewardSlotHoldersByAddressRaw

- getBurnchainRewardSlotHoldersByAddressRaw(requestParameters: GetBurnchainRewardSlotHoldersByAddressRequest, initOverrides?: RequestInit): Promise< ApiResponse < BurnchainRewardSlotHolderListResponse >>

- - Defined in src/generated/apis/BurnchainApi.ts:124

  Array of the Bitcoin addresses that would validly receive PoX commitments.

  summary

    Get recent reward slot holder entries for the given address

  throws

    {RequiredError}

  memberof

    BurnchainApiInterface

  #### Parameters

  - ##### requestParameters: GetBurnchainRewardSlotHoldersByAddressRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< ApiResponse < BurnchainRewardSlotHolderListResponse >>

### getBurnchainRewardSlotHoldersRaw

- getBurnchainRewardSlotHoldersRaw(requestParameters: GetBurnchainRewardSlotHoldersRequest, initOverrides?: RequestInit): Promise< ApiResponse < BurnchainRewardSlotHolderListResponse >>

- - Defined in src/generated/apis/BurnchainApi.ts:106

  Array of the Bitcoin addresses that would validly receive PoX commitments.

  summary

    Get recent reward slot holders

  throws

    {RequiredError}

  memberof

    BurnchainApiInterface

  #### Parameters

  - ##### requestParameters: GetBurnchainRewardSlotHoldersRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< ApiResponse < BurnchainRewardSlotHolderListResponse >>

### getBurnchainRewardsTotalByAddress

- getBurnchainRewardsTotalByAddress(requestParameters: GetBurnchainRewardsTotalByAddressRequest, initOverrides?: RequestInit): Promise< BurnchainRewardsTotal >

- - Defined in src/generated/apis/BurnchainApi.ts:146

  Get the total burnchain (e.g. Bitcoin) rewards for the given recipient Get total burnchain rewards for the given recipient

  #### Parameters

  - ##### requestParameters: GetBurnchainRewardsTotalByAddressRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< BurnchainRewardsTotal >

### getBurnchainRewardsTotalByAddressRaw

- getBurnchainRewardsTotalByAddressRaw(requestParameters: GetBurnchainRewardsTotalByAddressRequest, initOverrides?: RequestInit): Promise< ApiResponse < BurnchainRewardsTotal >>

- - Defined in src/generated/apis/BurnchainApi.ts:140

  Get the total burnchain (e.g. Bitcoin) rewards for the given recipient

  summary

    Get total burnchain rewards for the given recipient

  throws

    {RequiredError}

  memberof

    BurnchainApiInterface

  #### Parameters

  - ##### requestParameters: GetBurnchainRewardsTotalByAddressRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< ApiResponse < BurnchainRewardsTotal >>

Generated using TypeDoc